Bio::Tools::Run::PiseApplication::primo(3)

NAME
Bio::Tools::Run::PiseApplication::primo

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::primo

      Bioperl class for:

        PRIMO   A primer design tool (Kupfer, Li)

        References:

                P. Li, K. C. Kupfer, C. J. Davies, D. Burbee, G. A. Evans, and H. R. Garner. PRIMO: A primer design program that applies base quality statistics for automated large-scale DNA sequencing. Genomics 40:476-485 (1997).

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/primo.html
         for available values):

                primo (String)

                input_file_name (InFile)
                        Sequence data

                all (String)

                cover (Switch)
                        cover template with walking-primers on both strands (-cover)

                print (Switch)
                        print formatted/annotated sequence to log file (-print)

                regions_file (InFile)
                        Regions file (-read)

                qual_file (InFile)
                        Quality datafile file

                repeats_file (InFile)
                        Repeats file

                oligo_file (InFile)
                        Oligo file

                rf (String)

                qf (String)

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/primo.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $primo = Bio::Tools::Run::PiseApplication::primo->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::primo object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $primo = $factory->program('primo');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::primo.